-- phpMyAdmin SQL Dump
-- version 2.9.2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Jan 18, 2007 at 07:25 PM
-- Server version: 4.1.20
-- PHP Version: 4.3.9
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `news`
-- 

INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) VALUES ('367', 'News Blog', 'News Blog Configuration', 200, 1);

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Require users to login to reply?', 'NEWS_REPLY', 'true', 'This makes users create an account at your store to reply to prevent spam.', 367, 1, '', '2007-21-01 17:00:00', NULL, 'tep_cfg_select_option(array(\'true\', \'false\'),');

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Receive email when user replies?', 'NEWS_EMAIL', 'true', 'This will send an email when a user replies?', 367, 2, '', '2007-21-01 17:00:00', NULL, 'tep_cfg_select_option(array(\'true\', \'false\'),');

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Require replies to be approved by admin?', 'NEWS_APPROVED', 'false', 'Set to true if you want to approve user repies before they display on your store.', 367, 3, '', '2007-21-01 17:00:00', NULL, 'tep_cfg_select_option(array(\'true\', \'false\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Number of months to display on the storefront.', 'NEWS_MONTH_ROWS', '12', 'This is the menu that is on the left on the news store front. The default is 12', '367', '4', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Number of characters to display in each subtitle.', 'NEWS_CHARACTERS', '100', 'This is the sub-title that is displayed below the title on the front news page. The default is 100.', '367', '5', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Number of articles to display in your RSS Feed.', 'NEWS_RSS_ARTICLE', '10', 'If you want all of your articles to display in the RSS type in something like 2000.  The default is 10', '367', '6', now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) VALUES ('Number of characters to display in each RSS article.', 'NEWS_RSS_CHARACTERS', '250', 'If you keep this at 250 it will hide a little bit of each of article from your viewers. They will have to come to your store to finish.  The default is 250', '367', '7', now());


-- 
-- Table structure for table `news`
-- 

CREATE TABLE `news` (
  `id` int(12) NOT NULL auto_increment,
  `month_date` varchar(20) NOT NULL default '',
  `date_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `replys` int(12) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `news`
-- 

INSERT INTO `news` (`id`, `month_date`, `date_created`, `replys`) VALUES 
(1, 'January 2007', '2007-01-01 15:48:04', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `news_description`
-- 

CREATE TABLE `news_description` (
  `id` int(12) NOT NULL auto_increment,
  `news_id` int(12) NOT NULL default '0',
  `language_id` int(1) NOT NULL default '1',
  `name` varchar(64) default NULL,
  `content` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `news_description`
-- 

INSERT INTO `news_description` (`id`, `news_id`, `language_id`, `name`, `content`) VALUES 
(1, 1, 1, 'test 1', 'test 1'),
(2, 1, 2, 'test 2', 'test 2'),
(3, 1, 3, 'test 3', 'test 3');

-- --------------------------------------------------------

-- 
-- Table structure for table `news_replys`
-- 

CREATE TABLE `news_replys` (
  `id` int(12) NOT NULL auto_increment,
  `news_id` int(12) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `username` varchar(64) default 'username',
  `email` varchar(64) default 'email',
  `content` text NOT NULL,
  `name` varchar(64) NOT NULL default '',
  `approved` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM ;

-- 
-- Dumping data for table `news_replys`
-- 


